[Usage]
1. cd to /driver/x86
 - use root
 - $ make clean
   $ make
   $ make install

2. cd to /tools
 - use root
 - $ make clean
   $ make
   $ make install
   $ emp2init

After these 2 steps, the driver has been loaded

3. after that, you can use /test/send, /test/recv, /test/loopback for testing

[Others]
1. disable 8250 on x86:
 - cd to /etc/default/grub:
   add "8250.nr_uarts=0" in GRUB_CMDLINE_LINUX_DEFAULT=
 - Fedora: grub2-mkconfig -o /boot/grub2/grub.cfg
   Ubuntu: update-grub
 - Reboot

2. if kernel version >= 4.11, you must unbind native "8250_exar" kernel driver:
$ sudo mv /lib/modules/`uname -r`/kernel/driver/tty/serial/8250/8250_exar.ko /root/
$ sudo depmod -a